Skip to main content
GET
/
api
/
{portfolio}
/
portfolios
/
v1
/
facilities
/
{facilityUuid}
/
coverageHistory
/
uuids
Get coverage history UUIDs for a facility
curl --request GET \
  --url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/coverageHistory/uuids \
  --header 'x-api-key: <x-api-key>'
[
  "<string>"
]

Documentation Index

Fetch the complete documentation index at: https://api.monument.io/llms.txt

Use this file to discover all available pages before exploring further.

Headers

x-api-key
any
required

Api key required to authenticate your request. Please reach out to monument for a key.

Example:

"monument-2230012-2312321"

Path Parameters

facilityUuid
string
required

Query Parameters

updatedAt.lessOrEqual
string

Filter coverage history with updatedAt less than or equal to this date-time

updatedAt.greaterOrEqual
string

Filter coverage history with updatedAt greater than or equal to this date-time

createdAt.lessOrEqual
string

Filter coverage history with createdAt less than or equal to this date-time

createdAt.greaterOrEqual
string

Filter coverage history with createdAt greater than or equal to this date-time

coverageStartDate.greaterOrEqual
string

Filter to enrollments with coverageStartDate >= this date.

coverageStartDate.lessOrEqual
string

Filter to enrollments with coverageStartDate <= this date.

coverageEndDate.greaterOrEqual
string

Filter to enrollments with coverageEndDate >= this date.

coverageEndDate.lessOrEqual
string

Filter to enrollments with coverageEndDate <= this date.

isActive
boolean

Filter to active (true) or inactive (false) enrollments only. Omit to return all.

coverageUuid
string<uuid>

Filter to a specific coverage plan UUID.

Response

200 - application/json

Array of coverage history UUIDs, most recently created first, empty if none are found